Name:		libvpopmail
Summary:	Vpopmail libraries for QMail Toaster
Version:	5.4.33
Release:	3%{?dist}
License:	GPL
Group:		Networking/Other
URL:		http://www.inter7.com/%{name}
Source0:	http://downloads.sourceforge.net/project/vpopmail/vpopmail-stable/5.4.33/vpopmail-%{version}.tar.gz
#Source1:	vpopmail.mysql
#Source2:	vpopmail-secure-create-mysql
Patch0:		vpopmail-toaster-5.4.33.patch
Patch1:		vpopmail-build-no-root-5.4.33.patch
Patch2:		vpopmail-build-no-qmail-5.4.33.patch
Patch3:		libvpopmail-build-devel-5.4.33.patch
BuildRoot:      %{_topdir}/BUILDROOT/%{name}-%{version}-%{release}.%{_arch}

%define debug_package %{nil}
%define vdir          /home/vpopmail

%description
Headers and libs for building packages which use vpopmail.

#-------------------------------------------------------------------------------
%package -n %{name}-devel
#-------------------------------------------------------------------------------

Summary:	vpopmail development headers and libs
Group:		System/Servers
Provides:	%{name}-static
Conflicts:      set-toaster, checkpassword
BuildRequires:	automake
BuildRequires:	mariadb-devel
Requires:	mariadb

%description -n %{name}-devel
Headers and libs for building packages which use vpopmail.

vpopmail has been patched as follows:
etc/     is in /etc/libvpopmail (only devel related files)
include/ is in /usr/include/libvpopmail
lib/     is in /usr/lib/libvpopmail
 
           vpopmail 5.4.33
            Current settings
---------------------------------------

vpopmail directory = /home/vpopmail
 domains directory = /home/vpopmail/domains
               uid = 89
               gid = 89
     roaming users = OFF --disable-roaming-users (default)
 password learning = OFF --disable-learn-passwords (default)
     md5 passwords = ON  --enable-md5-passwords (default)
      file locking = ON  --enable-file-locking (default)
vdelivermail fsync = OFF --disable-file-sync (default)
     make seekable = ON  --enable-make-seekable (default)
      clear passwd = ON  --enable-clear-passwd (default)
 user dir hashing  = OFF --disable-users-big-dir
address extensions = ON  --enable-qmail-ext
          ip alias = ON  --enable-ip-alias-domains
   onchange script = OFF --disable-onchange-script (default)
     domain quotas = OFF --disable-domainquotas (default)
       auth module = mysql --enable-auth-module=mysql
 mysql replication = OFF --disable-mysql-replication (default)
       sql logging = OFF --disable-sql-logging (default)
      mysql limits = OFF --disable-mysql-limits (default)
  SQL valias table = ON  --enable-valias
          auth inc = -I/usr/include/mysql
          auth lib = -Xlinker -R -Xlinker /usr/lib64/mysql -L/usr/lib64/mysql  -lmysqlclient -lz -lm
  system passwords = OFF --disable-passwd (default)
        pop syslog = log success and errors including passwords --enable-logging=v
      auth logging = ON  --enable-auth-logging (default)
all domains in one SQL table = --enable-many-domains (default)
      spamassassin = OFF --disable-spamassassin (default)
          maildrop = OFF --disable-maildrop (default)

#-------------------------------------------------------------------------------
%prep
#-------------------------------------------------------------------------------
%setup -q -n vpopmail-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------
%{__mv} configure.in configure.ac
%{__sed} -i 's|/usr/lib/libvpopmail|/usr/lib64/libvpopmail|' Makefile.am
autoreconf
%{__automake}
%{__autoconf}
./configure \
        --prefix=%{vdir} \
	--enable-vpopuser=vpopmail \
	--enable-vpopgroup=vchkpw \
        --enable-libdir=%{_libdir}/mysql \
        --enable-incdir=%{_prefix}/include/mysql \
	--enable-tcprules-prog=/usr/bin/tcprules \
	--enable-tcpserver-file=/etc/tcprules.d/tcp.smtp \
	--enable-make-seekable \
	--enable-clear-passwd \
	--disable-users-big-dir \
	--enable-qmail-ext \
	--enable-ip-alias-domains \
	--enable-auth-module=mysql \
	--disable-passwd \
	--enable-logging=v \
	--enable-log-name=vpopmail \
	--disable-mysql-limits \
	--enable-valias \
	--enable-many-domains \
	--enable-non-root-build

# this is a hack. I don't know why cdb isn't being built with libvpopmail.a.
# cdb is from DJB, and should probably be removed at some point. Either that
# or it should be properly packaged as a library.
pushd cdb
  make
popd

make libvpopmail.a

#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name} \
             %{buildroot}%{_includedir}/%{name} \
             %{buildroot}%{_libdir}/%{name} \
             %{buildroot}%{vdir}/etc \
             %{buildroot}%{vdir}/include \
             %{buildroot}%{vdir}/lib \
             %{buildroot}%{vdir}/doc

make DESTDIR=%{buildroot} install-data-local

%{__mv} %{buildroot}%{vdir}/include/*  %{buildroot}%{_includedir}/%{name}/.
%{__mv} %{buildroot}%{vdir}/lib/*      %{buildroot}%{_libdir}/%{name}/.

%{__rm} -rf %{buildroot}%{vdir}

#-------------------------------------------------------------------------------
%clean
#-------------------------------------------------------------------------------
%{__rm} -rf %{buildroot}

#-------------------------------------------------------------------------------
%files -n %{name}-devel
#-------------------------------------------------------------------------------
%defattr (-,root,root)
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}
%attr(0755,root,root) %dir %{_includedir}/%{name}
%attr(0755,root,root) %dir %{_libdir}/%{name}
%attr(0644,root,root)      %{_sysconfdir}/%{name}/*_deps
%attr(0644,root,root)      %{_includedir}/%{name}/*
%attr(0644,root,root)      %{_libdir}/%{name}/*

#-------------------------------------------------------------------------------
%changelog
#-------------------------------------------------------------------------------
* Sat Apr 20 2024 Eric Broch <ebroch@whitehorsetc.com> 5.4.33-3.qt
- Dependencies mariadb-devel provides libmysqlclient
- For OpenSSLv1.1.1 qmail
* Sat Apr 30 2022 Eric Broch <ebroch@whitehorsetc.com> 5.4.33-2.qt
- Fixed some cruft, compiled against qt version of mariadb-connector-c-devel
- which is built  against openssl 1.1.1 for TLSv1.3 on CentOS 7
* Wed Mar 20 2019 Eric Broch <ebroch@whitehorsetc.com> 5.4.33-1.qt
- Enable many domains
* Sat Dec 14 2013 Eric Shubert <eric@datamatters.us> 5.4.33-0.qt
- Created initial libvpopmail-devel package 
